Package com.sas.lsaf.workflow.processdefinition

## Class FormAttributeDefinition

- java.lang.Object
- - com.sas.lsaf.workflow.processdefinition.FormAttributeDefinition

- All Implemented Interfaces:
    `java.io.Serializable`

      public class FormAttributeDefinition
      extends java.lang.Object
      implements java.io.Serializable

  This class represents an attribute definition for a user task in a process flow definition, as it is defined in the process flow definition file.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FormAttributeDefinition​(java.lang.String id, DataProperty.Type type, java.lang.String name, java.io.Serializable defaultValue, java.lang.Boolean required, java.lang.Boolean editable, java.lang.Boolean readable, java.util.Map<java.lang.String,​java.lang.String> values, java.util.Set<java.lang.String> valueIds, java.lang.String datePattern, java.lang.String variableName, java.lang.String expression)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDatePattern()` | Gets the date pattern of the date attribute definition.
    `java.io.Serializable` | `getDefaultValue()` | Gets the default value of the attribute definition.
    `java.lang.String` | `getExpression()` | Gets the expression of an attribute definition.
    `java.lang.String` | `getId()` | Gets the identifier of the attribute definition.
    `java.lang.String` | `getName()` | Gets the name of the attribute definition.
    `DataProperty.Type` | `getType()` | Gets the type of the attribute definition.
    `java.util.Set<java.lang.String>` | `getValueIds()` | Gets the value identifiers of an attribute definition.
    `java.util.Map<java.lang.String,​java.lang.String>` | `getValues()` | Gets the values of an attribute definition.
    `java.lang.String` | `getVariableName()` | Gets the variable name of an attribute definition.
    `int` | `hashCode()` |
    `java.lang.Boolean` | `isEditable()` | Gets whether the attribute is editable.
    `java.lang.Boolean` | `isReadable()` | Gets whether the attribute is readable.
    `java.lang.Boolean` | `isRequired()` | Gets whether the attribute is required.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FormAttributeDefinition

          public FormAttributeDefinition​(java.lang.String id,
                                         DataProperty.Type type,
                                         java.lang.String name,
                                         java.io.Serializable defaultValue,
                                         java.lang.Boolean required,
                                         java.lang.Boolean editable,
                                         java.lang.Boolean readable,
                                         java.util.Map<java.lang.String,​java.lang.String> values,
                                         java.util.Set<java.lang.String> valueIds,
                                         java.lang.String datePattern,
                                         java.lang.String variableName,
                                         java.lang.String expression)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the flow attribute definitions returned by the API.
      Parameters:
        `id` - The identifier of the attribute definition.
        `type` - The type of the attribute definition.
        `name` - The name of the attribute definition.
        `defaultValue` - The default value of the attribute definition.
        `required` - Indicates whether the attribute is required.
        `editable` - Indicates whether the attribute is editable.
        `readable` - Indicates whether the attribute is readable.
        `values` - The values of an attribute definition.
        `valueIds` - The value identifiers of an attribute definition.
        `datePattern` - The date pattern of the attribute definition.
        `variableName` - The variable name of the attribute definition.
        `expression` - The expression of the attribute definition.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the identifier of the attribute definition.
      Returns:
        The identifier.

    - #### getType

          public DataProperty.Type getType()

      Gets the type of the attribute definition.
      Returns:
        The type.

    - #### getDefaultValue

          public java.io.Serializable getDefaultValue()

      Gets the default value of the attribute definition.
      Returns:
        The default value.

    - #### isRequired

          public java.lang.Boolean isRequired()

      Gets whether the attribute is required.
      Returns:
        The indicator that the attribute is required.

    - #### isReadable

          public java.lang.Boolean isReadable()

      Gets whether the attribute is readable.
      Returns:
        The indicator that the attribute is readable.

    - #### getName

          public java.lang.String getName()

      Gets the name of the attribute definition.
      Returns:
        The name.

    - #### isEditable

          public java.lang.Boolean isEditable()

      Gets whether the attribute is editable.
      Returns:
        The indicator that the attribute is editable.

    - #### getValues

          public java.util.Map<java.lang.String,​java.lang.String> getValues()

      Gets the values of an attribute definition.
      Returns:
        The values.

    - #### getDatePattern

          public java.lang.String getDatePattern()

      Gets the date pattern of the date attribute definition.
      Returns:
        The date pattern.

    - #### getVariableName

          public java.lang.String getVariableName()

      Gets the variable name of an attribute definition.
      Returns:
        The variable name.

    - #### getExpression

          public java.lang.String getExpression()

      Gets the expression of an attribute definition.
      Returns:
        The expression.

    - #### getValueIds

          public java.util.Set<java.lang.String> getValueIds()

      Gets the value identifiers of an attribute definition.
      Returns:
        The value identifiers.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`